using Microsoft.AspNetCore.Mvc;
using System;
using System.Threading.Tasks;
using Waste.Application;
using Waste.Domain;

namespace Waste.Web.Entry.Pages.Role
{
    /// <summary>
    /// ½ÇÉ«±à¼­
    /// </summary>
    public class EditModel : BaseModel
    {
        public W_Role role = new W_Role();
        private readonly IRoleService _roleService;
        public EditModel(IRoleService roleService)
        {
            _roleService = roleService;
        }
        public async Task OnGetAsync(Guid? id=null)
        {
            if(id.HasValue && id.Value !=Guid.Empty)
            {
                role = await _roleService.DetailAsync(id.Value);
            }
        }
    }
}
